=== PIRL/Configuration/Makefile ===
#	Makefile for Java classes
#
#	PIRL CVS ID: Makefile,v 1.5 2007/03/20 04:31:56 castalia Exp

#	gmake syntax

#	Location of the Java Classes for Mathematics.
JCM		?= /opt/java/jcm

JPATH	?= ../..:$(JCM)
JC		?= javac

.SUFFIXES: .java .class
.java.class:
	${JC} -classpath ${JPATH} ${JFLAGS} $<


CLASSES		=	Configuration_Exception.class \
				Configuration.class

all:			classes
classes:		${CLASSES}

clean:
				rm -f *.class
