=== PIRL/Database/Makefile ===
#	Makefile for Java classes
#
#	PIRL CVS ID: Makefile,v 1.18 2008/10/28 00:33:23 castalia Exp

#	gmake syntax

#   Location of the Java Classes for Mathematics.
JCM     ?= /opt/java/jcm

JPATH   ?= ../..:$(JCM)
JC ?= javac

.SUFFIXES: .java .class
.java.class:
	${JC} -classpath ${JPATH} ${JFLAGS} $<


CLASSES		=	SQL_Listener.class \
				Database.class \
				Data_Port.class \
				JDBC_Data_Port.class \
				MySQL_Data_Port.class \
				Database_Exception.class \
				Data_Table.class \
				SQL.class \
				Database_View.class \
				Data_View.class \
				Update_DB.class \
				Query_DB.class \
				Fields_Map.class \
				Connect_View.class \
				PostgreSQL_Data_Port.class

all:			classes
classes:		${CLASSES}

clean:
				rm -f *.class
