=== PIRL/Image_Tools/Makefile ===
#	Makefile for Java classes
#
#	PIRL CVS ID: Makefile,v 1.3 2007/08/20 02:33:00 castalia Exp

#	gmake syntax

JPATH ?= ../..
JC ?= javac

.SUFFIXES: .java .class
.java.class:
	${JC} -classpath ${JPATH} ${JFLAGS} $<


CLASSES		=	Multibuf_ImageInputStream.class \
				HTTP_ImageInputStream.class \
				JPEG2000_Info.class \
				JPEG2000_Codestream_Info.class \
				JP2_Info.class \
				Projection.class \
				Equirectangular_Projection.class \
				Polar_Stereographic_Elliptical_Projection.class \
				Polar_Stereographic_Spherical_Projection.class

all:		${CLASSES}

clean:
				rm -f *.class
