=== PIRL/Messenger/Makefile ===
#	Makefile for Java Messenger package.
#
#	PIRL CVS ID: Makefile,v 1.4 2008/06/07 07:58:34 castalia Exp

#	gmake syntax


JPATH	?= ../..
JC		?= javac


CLASSES		:=	Message.class \
				Messenger.class \
				Messenger_Styled_Writer.class \
				Message_Delivered_Listener.class \
				Message_Delivered_Event.class \
				Dispatcher.class


#	Targets:

all:			classes

classes:		$(CLASSES)


clean:
	rm -f *.class


.SUFFIXES: .java .class
.java.class:
	$(JC) -classpath $(JPATH) $(JFLAGS) $<
