=== PIRL/PVL/Makefile ===
#	Makefile for Java classes
#
#	PIRL CVS ID: Makefile,v 1.15 2011/07/27 05:10:07 castalia Exp
#
#	gmake syntax

#	Location of the Java Classes for Mathematics.
JCM		?= /opt/java/jcm

#	Location of SwingX Classes.
SwingX			?=	/opt/java/SwingX/swingx.jar

#	Location of the JavaMail Classes (used by Notify; cross-dependency).
JavaMail		?=	/opt/java/javamail/mail.jar

JPATH	?= ../..:$(JCM):$(SwingX):$(JavaMail)
JC		?= javac

.SUFFIXES: .java .class
.java.class:
	${JC} -classpath ${JPATH} ${JFLAGS} $<


CLASSES		=	Parameter.class \
				Selector.class \
				Selection.class \
				Value.class \
				Parser.class \
				Lister.class \
				PVL_Exception.class \
				Invalid_Map_Syntax.class \
				PVL_to_DB.class

all:		${CLASSES}

clean:
				rm -f *.class
