=== PIRL/Strings/Makefile ===
#	Makefile for Java classes
#
#	PIRL CVS ID: Makefile,v 1.9 2004/08/27 22:27:30 castalia Exp

#	gmake syntax

JPATH ?= ../..
JC ?= javac

.SUFFIXES: .java .class
.java.class:
	${JC} -classpath ${JPATH} ${JFLAGS} $<


CLASSES		=	String_Buffer.class \
				String_Buffer_Reader.class \
				Words.class \
				String_Utilities.class \
				strip_DEBUG.class


all:		classes

classes:	${CLASSES}

clean:
			rm -f *.class
