=== PIRL/TreeTable/Makefile ===
#	Makefile for Java classes
#
#	PIRL CVS ID: Makefile,v 1.3 2003/11/23 00:25:08 castalia Exp

#	gmake syntax

JPATH ?= ../..
JC ?= javac

.SUFFIXES: .java .class
.java.class:
	${JC} -classpath ${JPATH} ${JFLAGS} $<


CLASSES		=	AbstractTreeTableModel.class \
				JTreeTable.class \
				TreeTableModel.class \
				TreeTableModelAdapter.class \
				AbstractCellEditor.class \


all:			classes
classes:		${CLASSES}

clean:
				rm -f *.class


AbstractTreeTableModel.class:	TreeTableModel.class

TreeTableModelAdapter.class:	TreeTableModel.class

JTreeTable.class:				TreeTableModelAdapter.class \
								AbstractCellEditor.class
