=== PIRL/Utilities/Makefile ===
#	Makefile for Java classes
#
#	PIRL CVS ID: Makefile,v 1.18 2009/07/21 00:09:48 castalia Exp

#	gmake syntax

#	Location of the Java Classes for Mathematics.
JCM		?= /opt/java/jcm

JPATH	?= ../..:$(JCM)
JC		?= javac

.SUFFIXES: .java .class
.java.class:
	${JC} -classpath ${JPATH} ${JFLAGS} $<


CLASSES		=	Streams.class \
				ByteBuffer_InputStream.class \
				ByteBuffer_OutputStream.class \
				Host.class \
				File.class \
				Integer_Range.class \
				Real_Range.class \
				Checker.class \
				Styled_Writer.class \
				Multiwriter_IOException.class \
				Suspendable_Styled_Writer.class \
				Styled_Multiwriter.class \
				Authentication.class \
				UNIX_Process.class

all:		${CLASSES}

clean:
				rm -f *.class
