=== PIRL/Viewers/Makefile ===
#	Makefile for Java classes
#
#	PIRL CVS ID: Makefile,v 1.22 2008/07/03 00:56:04 castalia Exp

#	gmake syntax

JC ?= javac
JPATH ?= ../..

.SUFFIXES: .java .class
.java.class:
	${JC} -classpath ${JPATH} ${JFLAGS} $<


CLASSES		=	Blinker.class \
				Dialog_Box.class \
				URL_Dialog.class \
				Memory_Panel.class \
				Parameter_Pane.class \
				Parameter_View.class \
				Value_Pane.class \
				Value_View.class \
				View_Locator.class \
				Font_Selector.class \
				Icons.class \
				Splash_Screen.class \
				Draggable_Rows.class \
				Projection_Pane.class \
				Projection_Viewer.class \
				Memory_Chart.class \
				Memory_History.class \
				Memory_ChartUI.class \
				Memory_Chart_UI.class \
				Memory_Chart_Panel.class \
				Stream_Monitor.class \
				Stream_Viewer.class \
				Animator.class \
				Percent_Bar.class \
				Percent_BarUI.class \
				Percent_Bar_UI.class \
				Password_Dialog.class \
				Size_Limits.class

all:			classes
classes:		${CLASSES}

clean:
				rm -f *.class
