=== PIRL/Conductor/Maestro/Makefile ===
#	Makefile for Java Conductor.Maestro package.
#
#	PIRL CVS ID: Makefile,v 1.19 2008/09/09 05:48:07 castalia Exp

#	gmake syntax


#	Installation location for the executable scripts.
SCRIPTS_DIR		?=	/opt/local/sh


#	Location of the Java Classes for Mathematics.
JCM				?= /opt/java/jcm

#	Location of SwingX Classes.
SwingX			?=	/opt/java/SwingX/swingx.jar

JPATH			?= ../../..:$(JCM):$(SwingX)
JC				?= javac


CLASSES			:=	Remote_Management_Exception.class \
					Theater_Protocol_Exception.class \
					Theater.class \
					Local_Theater.class \
					Remote_Theater.class \
					New_Conductor_Dialog.class \
					Conductor_Table_Model_Event.class \
					Conductor_Table_Model.class \
					Conductor_Table.class \
					Conductor_Matrix_Model.class \
					Conductor_Matrix.class \
					Conductor_Definition.class \
					Profile.class \
					Theater_List_Model.class \
					Theater_List.class \
					Kapellmeister.class \
					Stage_Manager.class \
					Error_Report.class

SCRIPTS			:=	Kapellmeister \
					Stage_Manager

#	Targets:

all:			classes

classes:		$(CLASSES)

install:		classes
	cp -p $(SCRIPTS) $(SCRIPTS_DIR)

clean:
	rm -f *.class


.SUFFIXES: .java .class
.java.class:
	$(JC) -classpath $(JPATH) $(JFLAGS) $<
