=== debian/changelog ===
pirl (2.3.8-1) unstable; urgency=low

  * New upstream: 2.3.8. Fixes issues with JPX.
  * Missing Depends on java-wrappers.

 -- Mathieu Malaterre <malat@debian.org>  Tue, 20 Nov 2012 15:35:37 +0100

pirl (2.3.7-1) unstable; urgency=low

  * Initial release (Closes: #668603)

 -- Mathieu Malaterre <malat@debian.org>  Wed, 18 Apr 2012 08:51:38 +0200
