=== debian/control ===
Source: pirl
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 8), javahelper (>= 0.25)
Build-Depends-Indep: default-jdk, default-jdk-doc, libgnumail-java, libswingx1-java, libjcm-java, libcommons-cli-java
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/pirl
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/pirl
Homepage: http://pirlwww.lpl.arizona.edu/software/PIRL_Java_Packages.shtml

Package: pirl-image-tools
Section: graphics
Architecture: all
Depends: ${misc:Depends}, default-jre-headless | java2-runtime-headless, libpirl-java, java-wrappers
Suggests: libpirl-java-doc, python-jpylyzer
Description: PIRL Image Tools
 Image_Tools: Classes for obtaining metadata information from JP2 files, plus an
 ImageInputStream implementation for access to files remotely via an HTTP
 server.
 .
 This package contains the command line image tools from PIRL Java Packages

Package: libpirl-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Recommends: ${java:Recommends}
Suggests: libpirl-java-doc
Description: PIRL Java Packages
 Conductor: An application to manage procedure pipelines with classes to
 resolve references to parameters (as are used in Configuration objects) and
 Database fields, asynchronous thread logging of streams, and utility
 applications to exercise the mathematical expression evaluator (JCM) and send
 email notification messages to a list of recipients. The Conductor application
 requires (as of Java 1.4) a patch to the Process class implementation. This is
 provided separately in the Process.patch tarball. A sample pipeline kit for
 processing MOC images with the ISIS software is in the moclevall-kit tarball.
 .
 Configuration: An extension of the PVL.Parameter class for convenient
 management of configuration parameters.
 .
 Database: A simplified interface for access to, and basic management of,
 relational SQL databases. An example database query tool is included.
 .
 Image_Tools: Classes for obtaining metadata information from JP2 files, plus an
 ImageInputStream implementation for access to files remotely via an HTTP
 server.
 .
 PVL: The PIRL Parameter Value Language package provides for the input, output
 and manipulation of generic parameters and their data values. A PVL_to_DB class
 is provided to map PVL Parameter Values into Database fields for update or
 insert operations.
 .
 Strings: Character string manipulation capabilities used by the other PIRL
 packages.
 .
 Utilities: Miscellaneous utilities classes that handle various helpful
 operations not easily classified into the classes of other packages.
 .
 Viewers: Classes for common capabilies associated with GUI viewers, plus GUI
 viewers associated with other PIRL packages.

Package: libpirl-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${java:Depends}
Recommends: ${java:Recommends}
Suggests: libpirl-java
Description: PIRL Java Packages Documentation
 Conductor: An application to manage procedure pipelines with classes to
 resolve references to parameters (as are used in Configuration objects) and
 Database fields, asynchronous thread logging of streams, and utility
 applications to exercise the mathematical expression evaluator (JCM) and send
 email notification messages to a list of recipients. The Conductor application
 requires (as of Java 1.4) a patch to the Process class implementation. This is
 provided separately in the Process.patch tarball. A sample pipeline kit for
 processing MOC images with the ISIS software is in the moclevall-kit tarball.
 .
 Configuration: An extension of the PVL.Parameter class for convenient
 management of configuration parameters.
 .
 Database: A simplified interface for access to, and basic management of,
 relational SQL databases. An example database query tool is included.
 .
 Image_Tools: Classes for obtaining metadata information from JP2 files, plus an
 ImageInputStream implementation for access to files remotely via an HTTP
 server.
 .
 PVL: The PIRL Parameter Value Language package provides for the input, output
 and manipulation of generic parameters and their data values. A PVL_to_DB class
 is provided to map PVL Parameter Values into Database fields for update or
 insert operations.
 .
 Strings: Character string manipulation capabilities used by the other PIRL
 packages.
 .
 Utilities: Miscellaneous utilities classes that handle various helpful
 operations not easily classified into the classes of other packages.
 .
 Viewers: Classes for common capabilies associated with GUI viewers, plus GUI
 viewers associated with other PIRL packages.
 .
 This is the documentation for the PIRL Java Packages
