=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
ftp://pirlftp.lpl.arizona.edu/pub/Java/PIRL-([\d\.]+).tar.gz \
debian debian/orig-tar.sh
